Summary: A script for creating the device files in /dev.
Name: MAKEDEV
Version: 2.5.3
Release: C1
Copyright: none
Group: System Environment/Base
Source: ftp://tsx-11.mit.edu/pub/linux/sources/sbin/MAKEDEV-%{PACKAGE_VERSION}.tar.gz
Requires: /bin/sh fileutils shadow-utils >= 1:970616-7
Prereq: shadow-utils
# n.b. prerequires shadow-utils >= 970616-7; rpm understands that
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-root

%description
This package contains the MAKEDEV script, which makes it easier to create
and maintain the files in the /dev directory.  /dev directory files 
correspond to a particular device supported by Linux (serial or printer 
ports, scanners, sound cards, tape drives, CD-ROM drives, hard drives, 
etc.) and interface with the drivers in the kernel.

You should install the MAKEDEV package because the MAKEDEV utility makes 
it easy to manage the /dev directory device files.

%prep
%setup -q

%build

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/dev
mkdir -p $RPM_BUILD_ROOT/usr/man/man8

make ROOT=$RPM_BUILD_ROOT install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%pre
/usr/sbin/groupadd -g 19 -o -f floppy > /dev/null
exit 0

%files
%defattr(-,root,root)
/dev/MAKEDEV
/usr/man/man8/MAKEDEV.8*

%changelog
* Mon Apr 03 2000 Nalin Dahyabhai <nalin@redhat.com>
- change test for ksh/bash to ksh/bash2 because some speedups break in bash1
- create 8 partitions for sd[a-d][a-z], like we do for sd[a-z]

* Wed Mar 01 2000 Nalin Dahyabhai <nalin@redhat.com>
- add audioctl

* Fri Jan 28 2000 Nalin Dahyabhai <nalin@redhat.com>
- make vbi a symlink to vbi0
- make vtx a symlink to vtx0, use vtx from video4linux

* Sat Apr 17 1999 Michael K. Johnson <johnsonm@redhat.com>
- create version 2.5 with a great many devices added from the 2.2 kernel
  devices.txt

* Tue Apr 13 1999 Preston Brown <pbrown@redhat.com>
- close bug #2157

* Thu Mar 25 1999 Michael Johnson <johnsonm@redhat.com>
- sg unification
- nb devices

* Thu Mar 25 1999 Jakub Jelinek <jj@ultra.linux.cz>
- create correct /dev/console (c 5 1), support for SCSI
  disk devices sdi - sddx

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 9)

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- glibc 2.1

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Thu Apr 23 1998 Prospector System <bugs@redhat.com>
- translations modified for fr, tr

* Thu Apr 23 1998 Erik Troan <ewt@redhat.com>
- fixed group add script (had -r instead of -o)

* Fri Apr 17 1998 Erik Troan <ewt@redhat.com>
- put -o option on groupadd after -g -- I hope Christian can tell me why

* Thu Apr 09 1998 Cristian Gafton <gafton@redhat.com>
- redirect groupadd call so that we're more quiet

* Fri Oct 24 1997 Michael K. Johnson <johnsonm@redhat.com>
- 2.3.1: use /usr/sbin/groupadd from new shadow utils

* Mon Sep 29 1997 Michael K. Johnson <johnsonm@redhat.com>
- Updated to 2.3, as Nick agreed to me making an interim release while
  he figures out whether he wants to be the maintainer.

* Wed Sep 03 1997 Erik Troan <ewt@redhat.com>
- made a noarch package

* Tue Jul 08 1997 Erik Troan <ewt@redhat.com>
- added dependencies
